## python-googlesearch 1.3.0

=== requirements.txt ===
beautifulsoup4>=4.9
requests>=2.20

=== debian/changelog ===
python-googlesearch (1.3.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 11 Aug 2025 12:08:38 -0400

python-googlesearch (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1108518)

 -- Aryan Karamtoth <aryankmmiv@outlook.com>  Tue, 01 Jul 2025 09:34:36 +0530

=== debian/control ===
Source: python-googlesearch
Section: python
Priority: optional
Maintainer: Aryan Karamtoth <aryankmmiv@outlook.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-bs4,
 python3-requests,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/Nv7-GitHub/googlesearch
Vcs-Browser: https://salsa.debian.org/SpaciousCoder78/python-googlesearch
Vcs-Git: https://salsa.debian.org/SpaciousCoder78/python-googlesearch.git

Package: python3-googlesearch
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-bs4,
 python3-requests,
Description: Python library for scraping the Google search engine
 googlesearch is a Python library for searching Google, easily.
 googlesearch uses requests and BeautifulSoup4 to scrape Google.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=googlesearch

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/Nv7-GitHub/googlesearch/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-googlesearch 2.0.3

=== requirements.txt ===
beautifulsoup4>=4.0

=== debian/changelog ===
python-googlesearch (2.0.3-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:51:15 +0200

python-googlesearch (2.0.3-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Configure git-buildpackage for Kali
  * Add GitLab's CI configuration file
  * New upstream version 2.0.3
  * Update debian/copyright
  * Bump Standards-Version to 4.5.1

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Feb 2021 11:20:44 +0100

python-googlesearch (2.0.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Nov 2019 15:16:01 +0100

=== debian/control ===
Source: python-googlesearch
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-bs4
Standards-Version: 4.5.1
Homepage: https://breakingcode.wordpress.com/
Testsuite: autopkgtest-pkg-python

Package: python3-googlesearch
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Google search engine (Python 3)
 This package contains Python bindings for the Google search engine.
 .
 This package installs the library for Python 3.

## python-googlesearch 3.0.0

=== debian/changelog ===
python-googlesearch (3.0.0-0kali1~jan+nur17) kali-experimental; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Sun, 04 Dec 2022 00:56:07 -0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: python-googlesearch
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools, python3-bs4
 Standards-Version: 4.5.1
 Homepage: https://breakingcode.wordpress.com/
+Vcs-Browser: https://gitlab.com/kalilinux/packages/python-googlesearch
+Vcs-Git: https://gitlab.com/kalilinux/packages/python-googlesearch.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-googlesearch

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=googlesearch

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	#rename script google to google search to minimize name issues
	mv debian/python3-googlesearch/usr/bin/google debian/python3-googlesearch/usr/bin/googlesearch

=== debian/watch ===
version=4
# PyPI
https://pypi.debian.net/google/google-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
